#!/bin/sh

processAZ202()
{
	etype=$1
	event=$2
	status=$3
	if [[ $status -eq 2 ]]
	then
		status=0
	fi
	group=$4
	
	if [[ $etype == *.2.0 ]]
	then
		event=$(($event + 1))
	fi
	if [[ $etype == *.3.0 ]]
	then
		event=$(($event + 37))
	fi
	if [[ $etype == *.4.0 ]]
	then
		event=$(($event + 46))
	fi
	if [[ $etype == *.6.0 ]]
	then
		event=$(($event + 47))
	fi
	if [[ $etype == *.7.0 ]]
	then
		event=$(($event + 54))
		event=$(($event + 7*($group - 1)))
	fi
	if [[ $etype == *.9.0 ]]
	then
		event=$(($event + 75))
		event=$(($event + 7*($group - 1)))
	fi
	
	insertAlarm $id $event $status
	
} 

#processMDM6000 SNMPv2-SMI::enterprises.5835.5.2.3300.1.1.4.0 1
